<html>
<head>
<script type="text/javascript" src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
   
</head>
<body onload="checkClk()">
	
<label id="swtchRl">Switch Role:</label>
<select id="usrSlct" onchange="switchrole(this.value);">
	<option value="cs0008">designer</option>
	<option value="demo">admin</option>
	<option value="jm0007">tester</option>
	<option value="op0001">operator</option>
</select>
<p></p>
<iframe id="onap_page"  height="1500" width="1500" ></iframe>

<script type="text/javascript">
		var typeClk = "sdc";
		function switchrole(value)
		{
			if(typeClk == "sdc")
			{
				var baseurl = "https://portal.api.simpledemo.onap.org:30225/ONAPPORTAL/switchrole-1.jsp";
				var targeturl = 'http://sdc.api.fe.simpledemo.onap.org:30206/sdc1/portal';
				
				var userid = value;
				var url = baseurl + "?userId=" + value + "&target=" + targeturl;
				$("#onap_page").attr('src', url);
			}
		}

		function checkClk()
		{

			typeClk =  window.location.href.split("=")[1];
			
			
			if (typeClk == "vid")
			{
				$("#usrSlct").hide();
				$("#swtchRl").hide();
				
				var baseurl = "https://portal.api.simpledemo.onap.org:30225/ONAPPORTAL/switchrole-1.jsp";
				var vidurl = 'https://vid.api.simpledemo.onap.org:30200/vid/welcome.htm';
				var url = baseurl + "?userId=demo&target=" + vidurl;
				$("#onap_page").attr('src', url);

			}
			else if(typeClk == "sdc")
			{
				var value="cs0008";
				$("#usrSlct").show();
				$("#swtchRl").show();
				var baseurl = "https://portal.api.simpledemo.onap.org:30225/ONAPPORTAL/switchrole-1.jsp";
				var sdcurl = 'http://sdc.api.fe.simpledemo.onap.org:30206/sdc1/portal';
				var url = baseurl + "?userId="+ value +"&target=" + sdcurl;
				$("#onap_page").attr('src', url);
				
			}
		}
</script>
</body>
</html>
